﻿//////////////////////////////////////////////
// Engine.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkAstraeus
#include "Dll/DllDefines.h"

// Common
#include <nilkinsCommon/Patterns/SingletonClass.h>

/// Class ------------------------------------

namespace nkAstraeus
{
	class DLL_ASTRAEUS_EXPORT Engine final
	{
		private :

			// Constructor, destructor
			Engine () = delete ;
			~Engine () = delete ;

		public :

			// Init
			static bool initialize () ;
			
			// Shutdown
			static void shutdown () ;
	} ;
}