﻿//////////////////////////////////////////////
// TextureSaverWrapper.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Forward decl -----------------------------

namespace nkScripts
{
	class Environment ;
}

/// Includes ---------------------------------

// nkAstraeus
#include "../../../../Dll/DllDefines.h"

// nkScripts
#include <NilkinsScripts/Environments/Functions/Function.h>

/// Class ------------------------------------

namespace nkAstraeus::lua::nkGraphicsWrap
{
	class DLL_ASTRAEUS_EXPORT TextureSaverWrapper final
	{
		private :

			// Constructeur, destructeur
			TextureSaverWrapper () = delete ;
			~TextureSaverWrapper () = delete ;

		public :

			// Environment update
			static void updateEnvironment (nkScripts::Environment* env) ;

			// Callbacks
			// HDR
			static nkScripts::OutputValue saveToHdr (const nkScripts::DataStack& stack) ;
	} ;
}