﻿//////////////////////////////////////////////
// DummyScriptStrategy.h
//
//////////////////////////////////////////////

/// Defines / Macros -------------------------

#pragma once

/// Includes ---------------------------------

// nkScripts
#include "ScriptStrategy.h"

/// Class ------------------------------------

namespace nkScripts
{
	class DummyScriptStrategy final : public ScriptStrategy
	{
		public :

			// Constructeur, destructeur
			DummyScriptStrategy (Script* parentHolder) ;
			~DummyScriptStrategy () ;

			// Loading
			virtual bool load (const nkMemory::StringView& sources) override ;
			virtual void unload () override ;
	} ;
}